/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Entity.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Entity::operator<<"
  ostream& operator<< (ostream& output_stream,
		       morpheo::behavioural::Entity & x)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
#ifdef POSITION
    output_stream << x._name + "\t"+x._type+"\t"+toString(x._schema) << endl;
    output_stream << x.get_comment()    << endl;
#else
    output_stream << x._name + "\t"+x._type<< endl;
#endif
    output_stream << x.get_interfaces() << endl;

    log_printf(FUNC,Behavioural,FUNCTION,"End");
    return output_stream;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
